hpp-core: hpp::core::JointBoundValidation Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::JointBoundValidation Class Reference
Validation of configurations and paths

`#include <hpp/core/joint-bound-validation.hh>`

Inheritance diagram for hpp::core::JointBoundValidation:
[legend]
Collaboration diagram for hpp::core::JointBoundValidation:
[legend]

## Public Member Functions
bool | validate (const Configuration_t &config, ValidationReportPtr_t &validationReport)
Public Member Functions inherited from hpp::core::ConfigValidation
virtual | ~ConfigValidation ()=default

## Static Public Member Functions
static JointBoundValidationPtr_t | create (const DevicePtr_t &robot)

## Protected Member Functions
| JointBoundValidation (const DevicePtr_t &robot)
Protected Member Functions inherited from hpp::core::ConfigValidation
| ConfigValidation ()=default

## Detailed Description

Validate a configuration with respect to joint bounds

## Constructor & Destructor Documentation

## ◆ JointBoundValidation()

hpp::core::JointBoundValidation::JointBoundValidation | ( | const DevicePtr_t & | robot | ) |
| protected

## Member Function Documentation

## ◆ create()

static JointBoundValidationPtr_t hpp::core::JointBoundValidation::create | ( | const DevicePtr_t & | robot | ) |
| static

## ◆ validate()

bool hpp::core::JointBoundValidation::validate | ( | const Configuration_t & | config,
|  | ValidationReportPtr_t & | validationReport
| ) |  |
| virtual

Compute whether the configuration is valid

Parameters

  config | the config to check for validity,

Return values

  validationReport | report on validation. If non valid, a validation report will be allocated and returned via this shared pointer.

Returns
  whether the whole config is valid.

Implements hpp::core::ConfigValidation.

The documentation for this class was generated from the following file:

- include/hpp/core/joint-bound-validation.hh